server:
  port: 1234
spring:
  application:
    name: @artifactId@
  cloud:
    nacos:
      discovery:
        server-addr: ${nacos.host}
        namespace: ${nacos.namespace}
        group: ${nacos.group}
        metadata:
          user:
            name: sanyi
            password: sanyiAdmin@.1
          management:
            context-path: ${server.servlet.context-path}/actuator
      config:
        namespace: ${spring.cloud.nacos.discovery.namespace}
        group: ${spring.cloud.nacos.discovery.group}
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        file-extension: yml
#        shared-configs:
#          - dataId: application-admin-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
#            group: COMMON_GROUP
#          - dataId: application-log-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
#            group: COMMON_GROUP
#            refresh: true
  profiles:
    active: @profiles.active@
  main:
    allow-bean-definition-overriding: true
info:
  version: @project.version@
canal:
  client:
    instances:
      example:
        host: 192.168.2.254
        port: 11111
        batchSize: 1024
        # 过滤 dbName.tableName * 代表全部
        filter: sanyi_manager.*
        errorRetry: true
        errorRetryTime: 60000


